#region Copyright Syncfusion Inc. 2001 - 2019
// Copyright Syncfusion Inc. 2001 - 2019. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

namespace Serialization
{
    using Serialization.Model;
    using System.Windows;

    public partial class MainWindow : Window
    {
        private object selectedItem;
        public MainWindow()
        {
            InitializeComponent();
            pivotGrid1.SelectionChanged += PivotGrid1_SelectionChanged;
        }

        private void PivotGrid1_SelectionChanged(object sender, Syncfusion.Windows.Controls.PivotGrid.PivotGridSelectionChangedEventArgs e)
        {
            //To get the selected item values based on the cell selection. You can get the items by ane one of method.
            selectedItem = e.SelectedItems;
            selectedItem = this.pivotGrid1.SelectedItems;
        }

        private void BtnMakeChart_Click(object sender, RoutedEventArgs e)
        {
            if (pivotGrid1.SelectedItems == null)
            {
                MessageBox.Show("this.pivotGrid1.SelectedItems == null is true");
            } else
            {
                MessageBox.Show("this.pivotGrid1.SelectedItems == null is false");
            }
        }
    }
}